Bug 250859 - kernel panic with pci=noacpi (hp laptop)
kernel panic with pci=noacpi (hp laptop)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 17:50 EDT by Riku Seppala
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 11:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
panic (201.98 KB, image/jpeg)
2007-08-03 17:50 EDT, Riku Seppala
no flags Details

  None (edit)
Description Riku Seppala 2007-08-03 17:50:04 EDT
Description of problem: Kernel panic when booting with option pci=noacpi. Note
I'm using the x86_64-kde rawhide live dvd. This might be x86_64 only?


Version-Release number of selected component (if applicable): f8test1


How reproducible: Always?


Steps to Reproduce:
1. boot with pci=noacpi
2.
3.
  
Actual results: kernel panic


Expected results: normal boot

Additional info:

This is HP dv9237eu laptop. I have to boot with the pci=noacpi or the system
will hang when X starts. See http://bugzilla.kernel.org/show_bug.cgi?id=8186
That bug affects the whole dv9000z series?? The pci=noacpi option works with f7.
Comment 1 Riku Seppala 2007-08-03 17:50:04 EDT
Created attachment 160672 [details]
panic
Comment 2 Riku Seppala 2007-08-05 05:42:58 EDT
I see lot's of discussion on linux-kernel mailing list about this. I'm just
enduser, so I can't really test any patches. 

I was planning to wait for f8test2, but maybe I now install test1 when it gets
released.
Comment 3 Muli Ben-Yehuda 2007-08-05 05:57:06 EDT
(In reply to comment #2)

> I see lot's of discussion on linux-kernel mailing list about this. I'm just
> enduser, so I can't really test any patches. 

Hmm, that's too bad, it would've been good to get a confirmation that it works
for you.

I guess we'll wait and see if it fixed Andy's NUMA issues and if it does we'll
push for inclusion, at which point it will make its way to you.

Thanks,
Muli
Comment 4 Chuck Ebbert 2007-08-06 18:32:18 EDT
Riku, if you install test1 we can try the fixes in Fedora.
Comment 5 Riku Seppala 2007-08-08 03:47:38 EDT
OK. I'm downloading test1 now, I can install it tomorrow.
Comment 6 Riku Seppala 2007-08-08 13:11:30 EDT
Sorry, can't install. http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=249908
Atleast not now.
Comment 7 Riku Seppala 2007-08-11 14:43:40 EDT
Chuck, I've installed test1 now. 

Good news is that I don't have to use pci=noacpi anymore, everything works
without it. But the panic is still there with pci=noacpi.
Comment 8 Muli Ben-Yehuda 2007-08-11 15:32:53 EDT
(In reply to comment #7)
> Chuck, I've installed test1 now. 
> 
> Good news is that I don't have to use pci=noacpi anymore, everything works
> without it. But the panic is still there with pci=noacpi.

Riku, thanks for testing.

Chuck, do you know if the ->sysdata fix included in -test1? Alternatively, where
can I download the kernel source to check?

Note that as of this writing Linus has not merged it into mainline yet, so it
was only included if you included it as an external patch.
Comment 9 Chuck Ebbert 2007-08-13 11:48:25 EDT
Now merged into mainline 2.6.23-rc3

Note You need to log in before you can comment on or make changes to this bug.